import React from 'react';
import { StyleSheet } from 'react-native';
import PropTypes from 'prop-types';
import Button from 'react-native-web-ui-components/Button';
import { withTheme } from 'react-native-web-ui-components/Theme';
const styles = StyleSheet.create({
  button: {
    marginBottom: 5
  }
});

const SubmitButton = ({
  theme,
  text,
  onPress
}) => /*#__PURE__*/React.createElement(Button, {
  auto: true,
  className: "Form__submitButton",
  flat: false,
  type: theme.colors.primary,
  onPress: onPress,
  nomargin: true,
  style: styles.button,
  radius: true
}, text);

SubmitButton.propTypes = {
  theme: PropTypes.shape().isRequired,
  onPress: PropTypes.func.isRequired,
  text: PropTypes.string.isRequired
};
export default withTheme('JsonSchemaFormSubmitButton')(SubmitButton);